Changeset 507


Ignore:
Timestamp:
12/05/2009 19:21:28 (2 years ago)
Author:
ccowart
Message:

Moving up the wcopy lock enforces the existence of the wcopy with
a relevant error message.

Fixes #111

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/confman.in

    r501 r507  
    10981098    if [ -z "$1" ] ; then print_usage 1 ; fi 
    10991099    local recipe="$1" 
     1100    wcopy_lock=$(conf_lock_wcopy) 
     1101    system_lock=$(conf_lock_system) 
    11001102    if ! [ -f "$(conf_recipe_dir)/${recipe}" ] ; then 
    11011103        echo "Error: recipe $recipe does not exist. Create it first!" >&2 
    11021104        exit 1 
    11031105    fi 
    1104     wcopy_lock=$(conf_lock_wcopy) 
    1105     system_lock=$(conf_lock_system) 
    11061106    conf_set_recipe "$recipe" 
    11071107    conf_unlock_system $system_lock 
  • trunk/confmanlib.sh.in

    r495 r507  
    11971197        echo "Error: this action requires that your working copy exist." >&2 
    11981198        echo 'Please see `confman help setup` for more information.' >&2 
    1199         exit 1 
     1199        die 
    12001200    fi 
    12011201} 
Note: See TracChangeset for help on using the changeset viewer.